Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.authoring
Interface CustomItemBean

    public interface CustomItemBean

Represents a custom element within the WCM Authoring UI

Can be accessed within the JSP (which is set as the custom JSP of an element) via the following code: `(CustomItemBean) request.getAttribute("CustomItemBean");`

Method Summary
`java.lang.String` | `getAuthoringTemplateId()` Returns the ID of the authoring template of the document associated with this CustomItemBean
`java.lang.String` | `getDocumentPath()` Returns the path to the document associated with this CustomItemBean
`DocumentType` | `getDocumentType()` Returns the `DocumentType` of the document associated with this CustomItemBean
`java.lang.String` | `getElementName()` Returns the name of the element associated with this CustomItemBean
`java.lang.String` | `getElementTitle()` Returns the title of the element associated with this CustomItemBean
`java.lang.String` | `getEncoding()` Returns the current encoding used
`java.lang.String` | `getFieldName()` Returns the internal name of the element associated with the CustomItemBean
`java.lang.Object` | `getFieldValue()` Returns the value of the element associated with the CustomItemBean
`java.lang.String` | `getId()` Returns the ID of the document associated with this CustomItemBean
`java.lang.String` | `getProjectId()` Returns the ID of the `Project` associated with the `Document` opened in the authoring interface
`java.lang.String` | `getSubmitFunctionName()` Returns the name of the Javascript Submit function used to set the value of the element associated with the CustomItemBean
`java.lang.String` | `getVersionName()` When the `Document` opened in the authoring interface is a version, this method returns the name of the version
`boolean` | `isDraft()` Returns true if the current document has a workflow status of 'draft'
`boolean` | `isExpired()` Returns true if the current document has a workflow status of 'expired'
`boolean` | `isFormReadOnly()` Returns true if the form being viewed in the authoring interface is currently in read mode
`boolean` | `isNew()` Returns true if the `Document` opened in the authoring interface has never been saved.
`boolean` | `isPublished()` Returns true if the current document has a workflow status of 'published'
`boolean` | `isVersion()` Returns true if the `Document` opened in the authoring interface is a version.
`void` | `setFieldValue(java.lang.Object p_fieldValue)` Sets the value of the element associated with the CustomItemBean
`void` | `setSubmitFunctionName(java.lang.String p_fname)` Specifies the name of the Javascript Submit function used to set the value of the element associated with the CustomItemBean

Method Detail

### getFieldName

    java.lang.String getFieldName()

  Returns the internal name of the element associated with the CustomItemBean

  This name will be unique to the WCM Authoring UI portlet on the page

  Returns:
    the internal name of the element associated with the CustomItemBean

### getFieldValue

    java.lang.Object getFieldValue()

  Returns the value of the element associated with the CustomItemBean

  Returns:
    the value of the element associated with the CustomItemBean. Can be `NULL` if the element currently has no value

### setFieldValue

    void setFieldValue(java.lang.Object p_fieldValue)

  Sets the value of the element associated with the CustomItemBean

  Parameters:
    `p_fieldValue` - the element value to set

### getEncoding

    java.lang.String getEncoding()

  Returns the current encoding used

  Returns:
    the current encoding used

### setSubmitFunctionName

    void setSubmitFunctionName(java.lang.String p_fname)

  Specifies the name of the Javascript Submit function used to set the value of the element associated with the CustomItemBean

  Parameters:
    `p_fname` - the name of the submit function

### getSubmitFunctionName

    java.lang.String getSubmitFunctionName()

  Returns the name of the Javascript Submit function used to set the value of the element associated with the CustomItemBean

  Returns:
    the name of the Javascript Submit function

### getDocumentPath

    java.lang.String getDocumentPath()

  Returns the path to the document associated with this CustomItemBean

  Returns:
    String the path to the document

### isDraft

    boolean isDraft()

  Returns true if the current document has a workflow status of 'draft'

  Returns:
    `true` if the current document is draft, `false` otherwise

### isPublished

    boolean isPublished()

  Returns true if the current document has a workflow status of 'published'

  Returns:
    `true` if the current document is published, `false` otherwise

### isExpired

    boolean isExpired()

  Returns true if the current document has a workflow status of 'expired'

  Returns:
    `true` if the current document is expired, `false` otherwise

### getId

    java.lang.String getId()

  Returns the ID of the document associated with this CustomItemBean

  Returns:
    the ID of the document associated with this CustomItemBean

### getElementName

    java.lang.String getElementName()

  Returns the name of the element associated with this CustomItemBean

  Returns:
    the name of the element associated with this CustomItemBean

### getElementTitle

    java.lang.String getElementTitle()

  Returns the title of the element associated with this CustomItemBean

  Returns:
    the title of the element associated with this CustomItemBean

### getDocumentType

    DocumentType getDocumentType()

  Returns the `DocumentType` of the document associated with this CustomItemBean

  Returns:
    the `DocumentType` of the document associated with this CustomItemBean

### getAuthoringTemplateId

    java.lang.String getAuthoringTemplateId()

  Returns the ID of the authoring template of the document associated with this CustomItemBean

  Returns:
    the ID of the authoring template of the document associated with this CustomItemBean

### isFormReadOnly

    boolean isFormReadOnly()

  Returns true if the form being viewed in the authoring interface is currently in read mode

  Returns:
    `true` if the form being viewed in the authoring interface is currently in read mode, `false` otherwise

### isNew

    boolean isNew()

  Returns true if the `Document` opened in the authoring interface has never been saved.

  Returns:
    `true` if the `Document` has never been saved.

### isVersion

    boolean isVersion()

  Returns true if the `Document` opened in the authoring interface is a version.

  Returns:
    `true` if the `Document` is a version.

### getVersionName

    java.lang.String getVersionName()

  When the `Document` opened in the authoring interface is a version, this method returns the name of the version

  Returns:
    the name of the version being displayed OR `NULL` if the current `Document` is not a version

### getProjectId

    java.lang.String getProjectId()

  Returns the ID of the `Project` associated with the `Document` opened in the authoring interface

  Returns:
    the ID of the `Project` associated with the `Document` opened in the authoring interface OR `NULL` if the `Document` does not belong to a project

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD